
[IDE] pdc202xx_new.c: remove useless /proc/ide/pdcnew

 drivers/ide/pci/pdc202xx_new.c |   84 ++++++++++-------------------------------
 drivers/ide/pci/pdc202xx_new.h |   23 -----------
 2 files changed, 22 insertions(+), 85 deletions(-)

diff -puN drivers/ide/pci/pdc202xx_new.c~ide-pdc_new-proc drivers/ide/pci/pdc202xx_new.c
--- linux-2.6.0-test11/drivers/ide/pci/pdc202xx_new.c~ide-pdc_new-proc	2003-12-08 00:16:09.526583016 +0100
+++ linux-2.6.0-test11-root/drivers/ide/pci/pdc202xx_new.c	2003-12-08 00:16:09.533581952 +0100
@@ -36,60 +36,20 @@
 
 #define PDC202_DEBUG_CABLE	0
 
-#if defined(DISPLAY_PDC202XX_TIMINGS) && defined(CONFIG_PROC_FS)
-#include <linux/stat.h>
-#include <linux/proc_fs.h>
-
-static u8 pdcnew_proc = 0;
-#define PDC202_MAX_DEVS		5
-static struct pci_dev *pdc202_devs[PDC202_MAX_DEVS];
-static int n_pdc202_devs;
-
-static char * pdcnew_info(char *buf, struct pci_dev *dev)
-{
-	char *p = buf;
-
-	p += sprintf(p, "\n                                ");
-	switch(dev->device) {
-		case PCI_DEVICE_ID_PROMISE_20277:
-			p += sprintf(p, "SBFastTrak 133 Lite"); break;
-		case PCI_DEVICE_ID_PROMISE_20276:
-			p += sprintf(p, "MBFastTrak 133 Lite"); break;
-		case PCI_DEVICE_ID_PROMISE_20275:
-			p += sprintf(p, "MBUltra133"); break;
-		case PCI_DEVICE_ID_PROMISE_20271:
-			p += sprintf(p, "FastTrak TX2000"); break;
-		case PCI_DEVICE_ID_PROMISE_20270:
-			p += sprintf(p, "FastTrak LP/TX2/TX4"); break;
-		case PCI_DEVICE_ID_PROMISE_20269:
-			p += sprintf(p, "Ultra133 TX2"); break;
-		case PCI_DEVICE_ID_PROMISE_20268:
-			p += sprintf(p, "Ultra100 TX2"); break;
-		default:
-			p += sprintf(p, "Ultra series"); break;
-			break;
-	}
-	p += sprintf(p, " Chipset.\n");
-	return (char *)p;
-}
-
-static int pdcnew_get_info (char *buffer, char **addr, off_t offset, int count)
-{
-	char *p = buffer;
-	int i, len;
-
-	for (i = 0; i < n_pdc202_devs; i++) {
-		struct pci_dev *dev	= pdc202_devs[i];
-		p = pdcnew_info(buffer, dev);
-	}
-	/* p - buffer must be less than 4k! */
-	len = (p - buffer) - offset;
-	*addr = buffer + offset;
-	
-	return len > count ? count : len;
-}
-#endif  /* defined(DISPLAY_PDC202XX_TIMINGS) && defined(CONFIG_PROC_FS) */
+struct pdcnew_name {
+	u16 dev_id;
+	const char *name;
+};
 
+static struct pdcnew_name __initdata pdcnew_names[] = {
+	{ PCI_DEVICE_ID_PROMISE_20277, "SBFastTrak 133 Lite" },
+	{ PCI_DEVICE_ID_PROMISE_20276, "MBFastTrak 133 Lite" },
+	{ PCI_DEVICE_ID_PROMISE_20275, "MBUltra133", },
+	{ PCI_DEVICE_ID_PROMISE_20271, "FastTrak TX2000", },
+	{ PCI_DEVICE_ID_PROMISE_20270, "FastTrak LP/TX2/TX4", },
+	{ PCI_DEVICE_ID_PROMISE_20269, "Ultra133 TX2" },
+	{ PCI_DEVICE_ID_PROMISE_20268, "Ultra100 TX2" },
+};
 
 static u8 pdcnew_ratemask (ide_drive_t *drive)
 {
@@ -515,6 +475,15 @@ void pdcnew_reset (ide_drive_t *drive)
 
 static unsigned int __init init_chipset_pdcnew (struct pci_dev *dev, const char *name)
 {
+	unsigned int i;
+
+	for (i = 0; i < ARRAY_SIZE(pdcnew_names); i++)
+		if (pdcnew_names[i].dev_id == dev->device) {
+			printk(KERN_INFO "%s: %s on pci%s\n", name,
+					 pdcnew_names[i].name, pci_name(dev));
+			break;
+		}
+
 	if (dev->resource[PCI_ROM_RESOURCE].start) {
 		pci_write_config_dword(dev, PCI_ROM_ADDRESS,
 			dev->resource[PCI_ROM_RESOURCE].start | PCI_ROM_ADDRESS_ENABLE);
@@ -522,15 +491,6 @@ static unsigned int __init init_chipset_
 			name, dev->resource[PCI_ROM_RESOURCE].start);
 	}
 
-#if defined(DISPLAY_PDC202XX_TIMINGS) && defined(CONFIG_PROC_FS)
-	pdc202_devs[n_pdc202_devs++] = dev;
-
-	if (!pdcnew_proc) {
-		pdcnew_proc = 1;
-		ide_pci_register_host_proc(&pdcnew_procs[0]);
-	}
-#endif /* DISPLAY_PDC202XX_TIMINGS && CONFIG_PROC_FS */
-
 	return dev->irq;
 }
 
diff -puN drivers/ide/pci/pdc202xx_new.h~ide-pdc_new-proc drivers/ide/pci/pdc202xx_new.h
--- linux-2.6.0-test11/drivers/ide/pci/pdc202xx_new.h~ide-pdc_new-proc	2003-12-08 00:16:09.529582560 +0100
+++ linux-2.6.0-test11-root/drivers/ide/pci/pdc202xx_new.h	2003-12-08 00:16:09.533581952 +0100
@@ -5,8 +5,6 @@
 #include <linux/pci.h>
 #include <linux/ide.h>
 
-#define DISPLAY_PDC202XX_TIMINGS
-
 #ifndef SPLIT_BYTE
 #define SPLIT_BYTE(B,H,L)	((H)=(B>>4), (L)=(B-((B>>4)<<4)))
 #endif
@@ -162,27 +160,6 @@ static void decode_registers (u8 registe
 		set_2regs(0x13,(c));			\
 	} while(0)
 
-#define DISPLAY_PDC202XX_TIMINGS
-
-#if defined(DISPLAY_PDC202XX_TIMINGS) && defined(CONFIG_PROC_FS)
-#include <linux/stat.h>
-#include <linux/proc_fs.h>
-
-static u8 pdcnew_proc;
-
-static int pdcnew_get_info(char *, char **, off_t, int);
-
-static ide_pci_host_proc_t pdcnew_procs[] __initdata = {
-	{
-		.name		= "pdcnew",
-		.set		= 1,
-		.get_info	= pdcnew_get_info,
-		.parent		= NULL,
-	},
-};
-#endif /* DISPLAY_PDC202XX_TIMINGS && CONFIG_PROC_FS */
-
-
 static void init_setup_pdcnew(struct pci_dev *, ide_pci_device_t *);
 static void init_setup_pdc20270(struct pci_dev *, ide_pci_device_t *);
 static void init_setup_pdc20276(struct pci_dev *dev, ide_pci_device_t *d);

_
